package com.palacesun.engine.spy;

import com.palacesun.engine.event.JdbcEventListener;

public class JdbcEventListenerFactoryLoaderTest {
   public void testLoadViaServiceLoader() {
      JdbcEventListenerFactoryLoader.load();
   }

   public static class TestJdbcEventListenerFactory implements JdbcEventListenerFactory {
      private final DefaultJdbcEventListenerFactory factory = new DefaultJdbcEventListenerFactory();

      public JdbcEventListener createJdbcEventListener() {
         return this.factory.createJdbcEventListener();
      }
   }
}
